curl --request GET \
--url https://api.partoo.co/v2/permissions \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/permissions"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sections": [
{
"name": "presence",
"order": 100,
"subsections": [
{
"name": "presence_pages",
"order": 100,
"permissions": [
{
"name": "business_edit",
"order": 100,
"feature": "business_edition",
"depends_on": null,
"disabled_for_roles": []
},
{
"name": "business_edit_name",
"order": 101,
"feature": "business_edition",
"depends_on": "business_edit",
"disabled_for_roles": []
}
]
}
]
}
]
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Get Permissions
This endpoint will give you all of the permissions available to your organization. The permissions are categorized by section, and by subsection. The permissions available to your organization are based on the plans your organization subscribes to; and thus the features included in those plans.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.
Response
OK
Response when permissions are successfully retrieved
Show child attributes
Show child attributes
Was this page helpful?